apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  name: codeready-workspaces
  namespace: openshift-workspaces
spec:
  auth:
    identityProviderURL: ''
    identityProviderRealm: ''
    oAuthSecret: ''
    identityProviderPassword: ''
    oAuthClientName: ''
    initialOpenShiftOAuthUser: true
    identityProviderClientId: ''
    identityProviderAdminUserName: ''
    externalIdentityProvider: false
  database:
    chePostgresDb: ''
    chePostgresHostName: ''
    chePostgresPassword: ''
    chePostgresPort: ''
    chePostgresUser: ''
    externalDb: false
  metrics:
    enable: true
  server:
    proxyURL: ''
    cheClusterRoles: ''
    proxyPassword: ''
    nonProxyHosts: ''
    proxyPort: ''
    tlsSupport: true
    allowUserDefinedWorkspaceNamespaces: false
    serverTrustStoreConfigMapName: ''
    proxyUser: ''
    cheWorkspaceClusterRole: ''
    workspaceNamespaceDefault: <username>-codeready
    serverExposureStrategy: ''
    gitSelfSignedCert: false
    cheFlavor: codeready
  storage:
    postgresPVCStorageClassName: ''
    preCreateSubPaths: true
    pvcClaimSize: 10Gi
    pvcStrategy: common
    workspacePVCStorageClassName: ''
